VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ItemCachedLaw"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ========== Класс элемента индекса ===================
Option Explicit

Public id_ As Long
Public status_ As TLawStatus
Public type_ As TLawType
Public linkBase_ As Long
Public row_ As Long

Public Function IsActive() As Boolean
  IsActive = status_ = T_LAWS_FULL Or status_ = T_LAWS_FRINGE Or status_ = T_LAWS_OUTER
End Function

Public Function HasLinks() As Boolean
  HasLinks = status_ = T_LAWS_FULL Or status_ = T_LAWS_FRINGE
End Function

Private Sub Class_Initialize()
  row_ = HT03_INVALID_ROW
  id_ = HT03_INVALID_GID
End Sub

Public Function Init(di As IteratorLaw)
  With di
    id_ = .ID
    row_ = .Row
    status_ = .Status
    type_ = .DType
    linkBase_ = .LinkBase
  End With
End Function
